Consumer Cart
Manage consumer shopping carts for e-commerce workflows including cart creation, item management, order submission, and payments.
Base URL: /api/v1/partner/store/cart
Endpoints Overview
| Method | Endpoint | Description |
|---|---|---|
| GET | /history | Get Consumer Order History |
| GET | /{consumerCartId} | Get Cart by id. |
| GET | /active | Get Active Cart |
| POST | /prepare | Prepare Active Cart |
| POST | /updateCart/{consumerCartId} | Update Cart to the platform. |
| DELETE | /cancelCart/{consumerCartId} | Cancel submitted order to the platform. |
| POST | /submitCart/{consumerCartId} | Submit Cart to be completed. |
| POST | /product/findCost | Find Product cost |
| GET | /public/{publicKey} | Find Cart by public key |
| POST | /item/{orderItemId}/finalize | Finalize Item Cart |
| POST | /item/{orderItemId}/unfinalize | Unfinalize Item Cart |
| POST | /items/finalize | Finalize All Items in Cart |
| POST | /{consumerCartId}/setConsumerUser/{consumerUserId} | Update Consumer User |
| POST | /{consumerCartId}/payments | Add Transaction Payments |
Get Consumer Order History
GET /api/v1/partner/store/cart/history
Retrieve the order history for the currently authenticated consumer. Returns a paginated list of past carts/orders. Requires consumer user authentication.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
cuid | string | No | cuid |
start | integer | No | Number of records to skip |
limit | integer | No | Maximum records to return |
Response
Returns a paginated SearchResult of ConsumerCart objects.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Get Cart by id.
GET /api/v1/partner/store/cart/{consumerCartId}
Retrieve a specific cart by its ID. Requires consumer user authentication.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
consumerCartId | string | The consumer cart i d |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
cuid | string | No | cuid |
Response
Returns a ConsumerCart object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Get Active Cart
GET /api/v1/partner/store/cart/active
Retrieve the currently active (in-progress) cart. You can look up the cart by sessionId, externalId, or transactionId. Does not require consumer user authentication — works for anonymous/guest sessions.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
cuid | string | No | cuid |
sessionId | string | No | session i d |
externalId | string | No | external i d |
transactionId | string | No | transaction i d |
Response
Returns a ConsumerCart object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Prepare Active Cart
POST /api/v1/partner/store/cart/prepare
Create and initialize a new cart with items. The system computes pricing, taxes, and discounts based on the provided cart data. This is typically the first step in the e-commerce checkout flow. Works for guest sessions.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
cuid | string | No | cuid |
Request Body
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Response
Returns a ConsumerCart object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Update Cart to the platform.
POST /api/v1/partner/store/cart/updateCart/{consumerCartId}
Update an existing cart with new items, quantities, or other modifications. Send the updated cart object in the request body.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
consumerCartId | string | The consumer cart i d |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
cuid | string | No | cuid |
Request Body
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Response
Returns a ConsumerCart object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Cancel submitted order to the platform.
DELETE /api/v1/partner/store/cart/cancelCart/{consumerCartId}
Cancel a previously submitted order. This is a destructive action that requires consumer user authentication. Only submitted orders can be cancelled.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
consumerCartId | string | The consumer cart i d |
Response
Returns a ConsumerCart object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Submit Cart to be completed.
POST /api/v1/partner/store/cart/submitCart/{consumerCartId}
Submit a cart as a completed order. This is the final step in the checkout flow — the cart transitions from in-progress to submitted status. Send the finalized cart object in the request body. All orders submitted through this endpoint are tagged with the Widget transaction source.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
consumerCartId | string | The consumer cart i d |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
cuid | string | No | cuid |
Request Body
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Response
Returns a ConsumerCart object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123"
}
Find Product cost
POST /api/v1/partner/store/cart/product/findCost
Calculate the cost of a product without adding it to a cart. Use this to display prices and estimated costs before the consumer commits to a purchase.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
cuid | string | No | cuid |
Request Body
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
productId | string | Yes | Product identifier |
quantity | number | No | Quantity |
{
"productId": "abc123",
"quantity": 0
}
Response
Returns a ProductCostResult object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
productId | string | Yes | Product identifier |
quantity | number | No | Quantity |
cost | number | No | Cost |
{
"productId": "abc123",
"quantity": 0,
"cost": 0
}
Find Cart by public key
GET /api/v1/partner/store/cart/public/{publicKey}
Retrieve a cart using its public-facing key. Use this for shared cart links or public order tracking where internal cart IDs should not be exposed.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
publicKey | string | The public key |
Response
Returns a ConsumerCartResult object.
- Fields
- JSON
| Field | Type | Required | Description |
|---|---|---|---|
id | string | No | Unique identifier |
companyId | string | No | Company identifier |
shopId | string | No | Shop identifier |
created | long | No | Created timestamp (epoch ms) |
modified | long | No | Last modified timestamp (epoch ms) |
deleted | boolean | No | Whether the record is deleted |
updated | boolean | No | Whether the record has been updated |
consumerId | string | No | Consumer identifier |
memberId | string | No | Member identifier |
assignedNearbyDriverId | string | No | Assigned Nearby Driver identifier |
cart | Cart | No | Cart |
orderPlacedTime | long | No | Order Placed timestamp (epoch ms) |
acceptedTime | long | No | Accepted timestamp (epoch ms) |
packagedTime | long | No | Packaged timestamp (epoch ms) |
onTheWayTime | long | No | On The Way timestamp (epoch ms) |
completedTime | long | No | Completed timestamp (epoch ms) |
canceledTime | long | No | Canceled timestamp (epoch ms) |
declinedTime | long | No | Declined timestamp (epoch ms) |
placed | boolean | No | Placed (default: false) |
accepted | boolean | No | Accepted (default: false) |
completed | boolean | No | Completed (default: false) |
packaged | boolean | No | Packaged (default: false) |
onTheWay | boolean | No | On The Way (default: false) |
anonymous | boolean | No | Anonymous (default: false) |
eta | integer | No | Eta |
reason | string | No | Reason |
sessionId | string | No | Session identifier |
publicKey | string | No | Public Key |
committed | boolean | No | Committed |
cartStatus | string | No | Cart Status. One of: InProgress, CanceledByConsumer, CanceledByDispensary (default: InProgress) |
trackingStatus | string | No | Tracking Status. One of: NotStarted (default: NotStarted) |
pickupType | string | No | Pickup Type. One of: Pickup, Delivery, Ship (default: Delivery) |
source | string | No | Source |
salesChannel | string | No | Sales Channel |
partnerId | string | No | Partner identifier |
externalId | string | No | External system identifier |
transactionId | string | No | Transaction identifier |
reqLinkedTransId | string | No | Req Linked Trans identifier |
transNo | string | No | Trans No |
orderNo | string | No | Order No |
employeeName | string | No | Employee Name |
memo | string | No | Memo/notes |
additionalNotes | string | No | Additional Notes |
pickUpDate | long | No | Pick Up timestamp (epoch ms) |
transactionSource | string | No | Transaction Source. One of: Retail, Widget, WooCommerce, Weedmaps (default: Widget) |
assignedEmployeeId | string | No | Assigned Employee identifier |
deliveryDate | long | No | Delivery timestamp (epoch ms) |
deliveryAddress | Address | No | Delivery Address |
completeAfter | long | No | Complete After |
orderTags | string[] | No | Order Tags |
rewardName | string | No | Reward Name |
prepaid | boolean | No | Prepaid (default: false) |
disableAutoAssignment | boolean | No | Disable Auto Assignment (default: false) |
disableAutoRegionDispatch | boolean | No | Disable Auto Region Dispatch (default: false) |
overrideRegionId | string | No | Override Region identifier |
dispatchRegionId | string | No | Dispatch Region identifier (default: ``) |
overrideInventoryId | string | No | Override Inventory identifier |
activeInventoryIds | string[] | No | Active Inventory Ids |
expiredAt | long | No | Expired At |
integrations | consumercartintegrations | No | Integrations |
externalPaymentIds | string[] | No | External Payment Ids |
externalPaymentConfigId | string | No | External Payment Config identifier |
stronghold | strongholdintegration | No | Stronghold |
chargeId | string | No | Charge identifier |
membershipAccepted | boolean | No | Membership Accepted (default: false) |
consumerUser | ConsumerUser | No | Consumer User |
member | Member | No | Member |
transaction | Transaction | No | Transaction |
shop | Shop | No | Shop |
dispatchShop | Shop | No | Dispatch Shop |
consumerAddress | string | No | Consumer Address (default: ``) |
{
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"consumerId": "abc123",
"memberId": "abc123",
"assignedNearbyDriverId": "abc123",
"cart": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"integrated": {},
"discount": 0,
"promoCode": "string",
"consumerType": "Other",
"cashReceived": 0,
"changeDue": 0,
"paymentOption": "None",
"subTotal": 0,
"totalDiscount": 0,
"calcCartDiscount": 0,
"subTotalDiscount": 0,
"total": 0,
"feeTotal": "ZERO",
"feeTotalRefunded": "ZERO",
"taxRateTotalRefunded": "ZERO",
"totalBeforeTaxRounding": 0,
"totalAfterTaxRounding": 0,
"taxTable": {},
"tax": 0,
"taxResult": {},
"taxRateDetails": [],
"totalCalcTax": 0,
"totalPreCalcTax": 0,
"refundAmount": 0,
"enableDeliveryFee": false,
"deliveryFee": 0,
"deliveryDiscount": 0,
"deliveryPromotionId": "abc123",
"afterTaxDiscount": 0,
"appliedAfterTaxDiscount": 0,
"roundAmt": 0,
"pointSpent": 0,
"items": [],
"promotionReqs": [],
"splitPayment": {},
"blazePayRequest": {},
"paymentType": "Full",
"totalExciseTax": 0,
"totalALExciseTax": 0,
"balanceDue": 0,
"creditCardFee": 0,
"lastCreditCardFee": 0,
"currentSurchargeFeeTax": 0,
"enableCreditCardFee": false,
"refundOption": "Void",
"refundOrderItemRequests": [],
"requestRefundAmt": 0,
"finalRefundAmt": 0,
"adjustmentAmount": "ZERO",
"adjustmentInfoList": [],
"tipAmount": 0,
"nonCannabisTaxTable": {},
"cartDiscountNotes": "string",
"afterTaxDiscountNotes": "string",
"currentAmount": 0,
"totalFees": 0,
"deliveryDiscountAmount": 0,
"origDeliveryFee": 0,
"cdtfaTaxRate": "null",
"activeCDTFATax": false,
"externalPaymentProvider": "string",
"storageLocation": "CashDrawer"
},
"orderPlacedTime": 1704067200000,
"acceptedTime": 1704067200000,
"packagedTime": 1704067200000,
"onTheWayTime": 1704067200000,
"completedTime": 1704067200000,
"canceledTime": 1704067200000,
"declinedTime": 1704067200000,
"placed": false,
"accepted": false,
"completed": false,
"packaged": false,
"onTheWay": false,
"anonymous": false,
"eta": 0,
"reason": "string",
"sessionId": "abc123",
"publicKey": "string",
"committed": false,
"cartStatus": "InProgress",
"trackingStatus": "NotStarted",
"pickupType": "Delivery",
"source": "string",
"salesChannel": "string",
"partnerId": "abc123",
"externalId": "abc123",
"transactionId": "abc123",
"reqLinkedTransId": "abc123",
"transNo": "TXN-001",
"orderNo": "string",
"employeeName": "string",
"memo": "string",
"additionalNotes": "string",
"pickUpDate": 1704067200000,
"transactionSource": "Widget",
"assignedEmployeeId": "abc123",
"deliveryDate": 1704067200000,
"deliveryAddress": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"address": "",
"city": "",
"state": "",
"zipCode": "",
"addressLine2": "",
"country": "DEFAULT_COUNTRY",
"latitude": 0,
"longitude": 0
},
"completeAfter": 0,
"orderTags": [],
"rewardName": "string",
"prepaid": false,
"disableAutoAssignment": false,
"disableAutoRegionDispatch": false,
"overrideRegionId": "abc123",
"dispatchRegionId": "",
"overrideInventoryId": "abc123",
"activeInventoryIds": [],
"expiredAt": 0,
"integrations": {},
"externalPaymentIds": [],
"externalPaymentConfigId": "abc123",
"stronghold": {},
"chargeId": "abc123",
"membershipAccepted": false,
"consumerUser": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"email": "user@example.com",
"password": "string",
"firstName": "John",
"lastName": "Doe",
"middleName": "string",
"address": {},
"dob": 1704067200000,
"birthdate": "string",
"localDob": "string",
"primaryPhone": "555-0100",
"cpn": "string",
"textOptIn": false,
"emailOptIn": false,
"medical": false,
"searchText": "string",
"anonymous": false,
"marketingSource": "string",
"sourceCompanyId": "abc123",
"verifyMethod": "Website",
"verificationWebsite": "string",
"verificationPhone": "string",
"doctorFirstName": "string",
"doctorLastName": "string",
"doctorLicense": "string",
"dlNo": "string",
"dlExpiration": 0,
"localDlExpiration": "string",
"dlState": "string",
"dlPhoto": {},
"recPhoto": {},
"recNo": "string",
"recExpiration": 0,
"recIssueDate": 1704067200000,
"notificationType": "Email",
"consumerType": "AdultUse",
"verified": false,
"active": true,
"memberIds": [],
"memberStatuses": [],
"signedContracts": [],
"source": "Blaze",
"importId": "abc123",
"memberId": "abc123",
"accepted": false,
"acceptedDate": 1704067200000,
"reason": "string",
"lastSyncDate": 1704067200000,
"rejectedDate": 1704067200000,
"addresses": []
},
"member": {
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"firstName": "John",
"lastName": "Doe",
"middleName": "string",
"address": {},
"uppercaseCity": "string",
"email": "user@example.com",
"dob": 1704067200000,
"birthdate": "string",
"localDob": "string",
"localDobUTC": 0,
"primaryPhone": "555-0100",
"cpn": "string",
"textOptIn": true,
"emailOptIn": true,
"medical": false,
"searchText": "string",
"metadata": [],
"nickname": "string",
"sex": "OTHER",
"anonymous": false,
"status": "Inactive",
"notes": [],
"contracts": [],
"preferences": [],
"identifications": [],
"recommendations": [],
"lastVisitDate": 1704067200000,
"startDate": 1704067200000,
"importId": "abc123",
"memberGroupId": "abc123",
"memberGroup": {},
"recentProducts": [],
"dlExpired": false,
"recommendationExpired": false,
"agreementExpired": false,
"emailVerified": false,
"consumerUserId": "abc123",
"marketingSource": "string",
"consumerType": "AdultUse",
"alternateEmails": [],
"enableLoyalty": true,
"loyaltyPoints": 0,
"lifetimePoints": 0,
"enabledCareGiver": false,
"careGivers": [],
"regionId": "abc123",
"addresses": [],
"eligibleForFTMPromos": true,
"banPatient": false,
"tags": [],
"recommendationExpiryLeft": 0,
"referralCode": "string",
"complianceCardSessionId": "abc123",
"sbid": 0,
"exemptFromLimits": false,
"alternatePhones": [],
"strongholdCustomerId": "abc123",
"consumerUserIdHistory": [],
"allotmentOverride": {},
"expStatuses": []
},
"transaction": {
"id": "abc123",
"companyId": "abc123",
"shopId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"metrcId": 0,
"metrcSaleTime": "null",
"traceSubmitTime": 1704067200000,
"traceSubmitStatus": "None",
"traceMessage": "null",
"complianceDeliverySaleType": "None",
"tripId": "null",
"orderMenuType": "Standard",
"transNo": "TXN-001",
"parentTransactionId": "abc123",
"priority": 0,
"createdById": "abc123",
"sellerId": "abc123",
"memberId": "abc123",
"associateCaregiver": false,
"caregiverId": "abc123",
"terminalId": "abc123",
"sellerTerminalId": "abc123",
"overrideInventoryId": "abc123",
"checkinTime": 1704067200000,
"startTime": 1704067200000,
"endTime": 1704067200000,
"active": false,
"queueType": "None",
"status": "Queued",
"note": {},
"memo": "string",
"deleteNote": {},
"cart": {},
"processedTime": 1704067200000,
"paid": false,
"paidTime": 1704067200000,
"completedTime": 1704067200000,
"dispatchCreatedTime": 1704067200000,
"dispatchRegionId": "abc123",
"inventoryId": "abc123",
"onlineInventoryId": "abc123",
"autoAccepted": false,
"loc": [],
"transType": "Sale",
"assignedEmployeeId": "abc123",
"timeZone": "America/Los_Angeles",
"deliveryAddress": {},
"locked": false,
"hypurPin": "string",
"hypurCheckinISN": "string",
"entityISN": "string",
"fulfillmentStep": "Prepare",
"startRouteDate": 1704067200000,
"routing": false,
"startRouteLocation": [],
"endRouteDate": 1704067200000,
"endRouteLocation": [],
"pointsEarned": 0,
"memberSignature": {},
"transferShopId": "abc123",
"transferRequest": {},
"consumerCartId": "abc123",
"source": "string",
"salesChannel": "string",
"consumerOrderNo": "string",
"eta": 0,
"mileageCalculated": false,
"mileage": 0,
"paymentCardPayments": [],
"payments": [],
"previousBalance": 0,
"balance": 0,
"paymentReceived": 0,
"paidAmount": 0,
"blazeTip": 0,
"blazeFee": 0,
"blazeTotalCharged": 0,
"blazeCashBack": 0,
"member": {},
"seller": {},
"sellerTerminal": {},
"preparedBy": "string",
"preparedDate": 1704067200000,
"packedBy": "string",
"packedDate": 1704067200000,
"pickUpDate": 1704067200000,
"draftCreatedTime": 1704067200000,
"defaultRegionByAddress": false,
"deferred": false,
"deferredTime": 1704067200000,
"deferredNote": {},
"dispatchedProcessor": "",
"dispatched": false,
"onFleetTaskId": "abc123",
"onFleetError": "string",
"createOnfleetTask": false,
"onfleetTwoWaySuccess": true,
"state": 0,
"shortId": "abc123",
"onFleetTaskStatus": "TASK_NONE",
"onFleetTeamId": "abc123",
"qbSalesReceiptRef": "string",
"qbRefundReceipt": "string",
"qbJournalEntryRef": "string",
"transactionRefundStatus": "None",
"assigned": false,
"tookanTaskId": "abc123",
"orderTags": [],
"mtracTxnId": "abc123",
"deliveryDate": 1704067200000,
"completeBy": 0,
"completeAfter": 0,
"addressUpdate": false,
"paymentEditedBy": "string",
"paymentEditedTime": 1704067200000,
"dejavooTerminalConfig": {},
"identifications": [],
"assets": [],
"metrcDeliveryId": 0,
"metrcDeliveryLedgerId": 0,
"metrcDeliverySubmitTime": 1704067200000,
"metrcSubmissionDeleteTime": 1704067200000,
"metrcSubmissionCompleteTime": 1704067200000,
"metrcDeliverySubmitStatus": "None",
"deliveryTraceMessage": "null",
"waivedStatus": false,
"waivedDate": 1704067200000,
"message": "string",
"voidDate": 1704067200000,
"voidedByEmployeeId": "abc123",
"sessionId": "abc123",
"queueBlazePayId": "abc123",
"enableBlazePayTips": false,
"roundUpEnabled": false,
"estimatedLoyaltyPoints": false,
"summaryPaymentInfo": {},
"cardComplianceId": "abc123",
"complianceId": "abc123",
"refundComplianceId": "abc123",
"compliance": false,
"complianceSaleTime": 1704067200000,
"complianceValidItems": {},
"transferId": "abc123",
"consumerType": "Other",
"purchaseType": "Other",
"complianceDeliveryId": "abc123",
"complianceDeliveryTransactionId": "abc123",
"complianceLedgerId": "abc123",
"complianceSubmitStatus": "None",
"inventoryProcessed": false,
"processingTimeMs": 0,
"waitingTimeMs": 0,
"lastStartTimestamp": 0,
"lastHoldTimestamp": 0,
"externalPaymentContext": {},
"activeInventoryIds": [],
"deliveryStatus": {},
"externalPaymentConfigId": "abc123"
},
"shop": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shortIdentifier": "string",
"name": "string",
"shopType": "Medicinal",
"address": {},
"phoneNumber": "string",
"emailAdress": "string",
"license": "string",
"deaNumber": "string",
"enableDeliveryFee": false,
"deliveryFee": 0,
"taxInfo": {},
"showWalkInQueue": true,
"showDeliveryQueue": true,
"showOnlineQueue": false,
"showSpecialQueue": false,
"walkInQueueDOV": "ByTerminal",
"deliveryQueueDOV": "ByTerminal",
"specialQueueDOV": "ByTerminal",
"enableCashInOut": false,
"timeZone": "DEFAULT_REQ_TIMEZONE",
"latitude": 0,
"longitude": 0,
"active": true,
"snapshopTime": 1704067200000,
"nextSnapshotTime": 1704067200000,
"defaultCountry": "string",
"onlineStoreInfo": {},
"deliveryFees": [],
"enableSaleLogout": false,
"assets": [],
"enableBCCReceipt": false,
"bccEmailAddress": "string",
"enableGPSTracking": false,
"receivingInventoryId": "abc123",
"defaultPinTimeout": "DEFAULT_PIN_TIMEOUT_DURATION",
"emailList": [],
"enableLowInventoryEmail": false,
"restrictedViews": false,
"emailMessage": "string",
"taxRoundOffType": "ONE_CENT",
"enforceCashDrawers": false,
"useAssignedEmployee": false,
"termSalesOption": "DeviceTerminal",
"showProductByAvailableQuantity": false,
"autoCashDrawer": false,
"numAllowActiveTrans": 1,
"requireValidRecDate": false,
"enableDeliverySignature": false,
"restrictIncomingOrderNotifications": false,
"restrictedNotificationTerminals": [],
"roundOffType": "NONE",
"roundUpMessage": "string",
"membersCountSyncDate": "null",
"enableCannabisLimit": false,
"useComplexTax": false,
"taxTables": [],
"enableExciseTax": false,
"nalExciseFromRetailCost": false,
"nalExciseAfterCityTax": false,
"alExciseOnZeroPrice": false,
"marketingSources": [],
"productsTag": [],
"logo": {},
"hubId": "abc123",
"hubName": "string",
"enableOnFleet": false,
"onFleetApiKey": "string",
"onFleetOrganizationId": "abc123",
"onFleetOrganizationName": "string",
"onFleetTwoWay": false,
"onFleetTwoWayUpdateSchedule": false,
"onFleetTwoWayRevert": false,
"onFleetTwoAutoPack": false,
"onFleetAllowEmptyOrders": false,
"autoOnFleetTeam": "",
"enableUnAssignedOnfleetOrder": false,
"emailAttachment": {},
"receiptInfo": [],
"enablePinForCashDrawer": false,
"enableWooCommerce": false,
"cartMinimums": {},
"creditCardFeeList": [],
"blazePayFeeList": [],
"strongholdFeeList": [],
"achFeeList": [],
"twilioNumber": "string",
"enableAgeLimit": false,
"ageLimit": "DEFAULT_AGE_LIMIT",
"medicinalAge": "DEFAULT_AGE_LIMIT",
"enableMedicinalAge": false,
"deliveryRefundType": "NONE",
"creditFefundType": "NONE",
"enableSpringBig": false,
"enableDailySummaryEmail": false,
"enableHarvestTax": false,
"enableTookan": false,
"legalLanguage": "string",
"enableExciseTaxWarning": false,
"exciseTaxWarning": "string",
"orderTags": [],
"allowAnonymousOrders": false,
"membersTag": [],
"poTermCondition": "string",
"poNote": "string",
"invoiceTermCondition": "string",
"invoiceNote": "string",
"defaultHandOverMin": "DEFAULT_HANDOVER_DURATION",
"draftOrderTimeout": "DEFAULT_DRAFT_ORDER_TIMEOUT",
"enableTip": false,
"flowerType": [],
"enableRefundNote": false,
"enableAutoPrintAtFulfillment": false,
"nonCannabisTaxes": {},
"appendBrandNameWM": false,
"blazeConnections": [],
"enableLimitOnNetWeight": false,
"disableMedicalProductsForAdultUse": false,
"disableRecreationalProductsForMedical": false,
"enableDiscountNotes": false,
"enableCartDiscountNotes": false,
"enableAfterTaxDiscountNotes": false,
"checkDuplicateDl": false,
"onFleetRequired": false,
"enableColorPin": false,
"colorSameDay": "OnFleetAppearance.TriangleColor.ORANGE.name()",
"colorNextDay": "OnFleetAppearance.TriangleColor.TEAL.name()",
"colorBeyondNextDay": "OnFleetAppearance.TriangleColor.MAGENTA.name()",
"tookanRequired": false,
"enableDOBNameUniqueness": false,
"enableWaive": false,
"enableCustomerIdentification": false,
"enableComplianceTesting": false,
"onfleetOverrideUrl": "string",
"enableTipsBlazePay": false,
"enableIncomingOrders": false,
"enableCommittedValidation": false,
"enableMfg": false,
"testShop": false,
"billable": true,
"validateRegion": false,
"overrideMemberLimits": false,
"enableQtyFlattening": false,
"productInfoSourcingStrategy": "NONE",
"nalTaxesOnly": false,
"enableSkipAssignValidation": false,
"website": "https://example.com",
"dispatchConfiguration": {},
"rollingCashDrawer": false,
"platformLocationId": "abc123",
"defaultPOCostSource": "COMPLIANCE_SYSTEM",
"memberAddressRequired": false,
"exciseTaxInfo": {},
"inventoryCostOption": "WEIGHTED_AVERAGE",
"purchaseFloorAmount": "PENNY",
"enableCannabisAdjustmentAfterRounding": false,
"requirePhoneNumber": false,
"requiredMemberPhone": false,
"deliveryMaxOrders": 1,
"enableDeferTransactions": false,
"pennyTransactionOption": "DISABLED",
"defaultMetrcLocation": "null",
"canAssignLocationsToPackages": false,
"canUpdateLocationsOnPackages": false,
"autoArchiveBatches": false,
"autoArchiveBatchesAfterNDays": 30,
"productPriceIncludeExciseTax": false,
"checkoutType": "Direct"
},
"dispatchShop": {
"id": "abc123",
"companyId": "abc123",
"created": 1704067200000,
"modified": 1704067200000,
"deleted": false,
"updated": false,
"shortIdentifier": "string",
"name": "string",
"shopType": "Medicinal",
"address": {},
"phoneNumber": "string",
"emailAdress": "string",
"license": "string",
"deaNumber": "string",
"enableDeliveryFee": false,
"deliveryFee": 0,
"taxInfo": {},
"showWalkInQueue": true,
"showDeliveryQueue": true,
"showOnlineQueue": false,
"showSpecialQueue": false,
"walkInQueueDOV": "ByTerminal",
"deliveryQueueDOV": "ByTerminal",
"specialQueueDOV": "ByTerminal",
"enableCashInOut": false,
"timeZone": "DEFAULT_REQ_TIMEZONE",
"latitude": 0,
"longitude": 0,
"active": true,
"snapshopTime": 1704067200000,
"nextSnapshotTime": 1704067200000,
"defaultCountry": "string",
"onlineStoreInfo": {},
"deliveryFees": [],
"enableSaleLogout": false,
"assets": [],
"enableBCCReceipt": false,
"bccEmailAddress": "string",
"enableGPSTracking": false,
"receivingInventoryId": "abc123",
"defaultPinTimeout": "DEFAULT_PIN_TIMEOUT_DURATION",
"emailList": [],
"enableLowInventoryEmail": false,
"restrictedViews": false,
"emailMessage": "string",
"taxRoundOffType": "ONE_CENT",
"enforceCashDrawers": false,
"useAssignedEmployee": false,
"termSalesOption": "DeviceTerminal",
"showProductByAvailableQuantity": false,
"autoCashDrawer": false,
"numAllowActiveTrans": 1,
"requireValidRecDate": false,
"enableDeliverySignature": false,
"restrictIncomingOrderNotifications": false,
"restrictedNotificationTerminals": [],
"roundOffType": "NONE",
"roundUpMessage": "string",
"membersCountSyncDate": "null",
"enableCannabisLimit": false,
"useComplexTax": false,
"taxTables": [],
"enableExciseTax": false,
"nalExciseFromRetailCost": false,
"nalExciseAfterCityTax": false,
"alExciseOnZeroPrice": false,
"marketingSources": [],
"productsTag": [],
"logo": {},
"hubId": "abc123",
"hubName": "string",
"enableOnFleet": false,
"onFleetApiKey": "string",
"onFleetOrganizationId": "abc123",
"onFleetOrganizationName": "string",
"onFleetTwoWay": false,
"onFleetTwoWayUpdateSchedule": false,
"onFleetTwoWayRevert": false,
"onFleetTwoAutoPack": false,
"onFleetAllowEmptyOrders": false,
"autoOnFleetTeam": "",
"enableUnAssignedOnfleetOrder": false,
"emailAttachment": {},
"receiptInfo": [],
"enablePinForCashDrawer": false,
"enableWooCommerce": false,
"cartMinimums": {},
"creditCardFeeList": [],
"blazePayFeeList": [],
"strongholdFeeList": [],
"achFeeList": [],
"twilioNumber": "string",
"enableAgeLimit": false,
"ageLimit": "DEFAULT_AGE_LIMIT",
"medicinalAge": "DEFAULT_AGE_LIMIT",
"enableMedicinalAge": false,
"deliveryRefundType": "NONE",
"creditFefundType": "NONE",
"enableSpringBig": false,
"enableDailySummaryEmail": false,
"enableHarvestTax": false,
"enableTookan": false,
"legalLanguage": "string",
"enableExciseTaxWarning": false,
"exciseTaxWarning": "string",
"orderTags": [],
"allowAnonymousOrders": false,
"membersTag": [],
"poTermCondition": "string",
"poNote": "string",
"invoiceTermCondition": "string",
"invoiceNote": "string",
"defaultHandOverMin": "DEFAULT_HANDOVER_DURATION",
"draftOrderTimeout": "DEFAULT_DRAFT_ORDER_TIMEOUT",
"enableTip": false,
"flowerType": [],
"enableRefundNote": false,
"enableAutoPrintAtFulfillment": false,
"nonCannabisTaxes": {},
"appendBrandNameWM": false,
"blazeConnections": [],
"enableLimitOnNetWeight": false,
"disableMedicalProductsForAdultUse": false,
"disableRecreationalProductsForMedical": false,
"enableDiscountNotes": false,
"enableCartDiscountNotes": false,
"enableAfterTaxDiscountNotes": false,
"checkDuplicateDl": false,
"onFleetRequired": false,
"enableColorPin": false,
"colorSameDay": "OnFleetAppearance.TriangleColor.ORANGE.name()",
"colorNextDay": "OnFleetAppearance.TriangleColor.TEAL.name()",
"colorBeyondNextDay": "OnFleetAppearance.TriangleColor.MAGENTA.name()",
"tookanRequired": false,
"enableDOBNameUniqueness": false,
"enableWaive": false,
"enableCustomerIdentification": false,
"enableComplianceTesting": false,
"onfleetOverrideUrl": "string",
"enableTipsBlazePay": false,
"enableIncomingOrders": false,
"enableCommittedValidation": false,
"enableMfg": false,
"testShop": false,
"billable": true,
"validateRegion": false,
"overrideMemberLimits": false,
"enableQtyFlattening": false,
[...]
